package guild

import "context"

func (s *service) DeleteGuild(ctx context.Context, id int64) error {
	_, err := s.writeDB.Guild.WithContext(ctx).Where(s.readDB.Guild.ID.Eq(id)).Delete()
	return err
}
